Creates a new job_files by supplying directly the field job_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Request Formats :
application/json, text/json
{
"id": "f6321052-17b5-4c82-a958-39a58ee9b156",
"jobs_id": "e08bfcac-38cf-4159-97e1-ec927c852142",
"job_approval_id": "2f072567-18e4-4882-8311-63c9f1da209d",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "722e8f73-2b82-450a-9d15-bfb51159b7ba",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-07-29T14:48:31.5185107+00:00",
"modified_dateutc": "2026-07-29T14:48:31.5185107+00:00",
"user_id": "f0d9ae55-fbbc-443e-8721-9a0b903e18bd",
"show_on_web": true,
"db_report_id": "cbd917c0-cc8b-44bd-b289-9362ca25e336"
}
Response Information
Resource Description :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "21c02476-b9c0-423f-9eab-7223a00443da",
"jobs_id": "0275459d-87a6-4293-a8ce-5a2804be8343",
"job_approval_id": "683f163e-3576-4386-bfee-e9f17e38b3eb",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "5bb37894-158c-45b8-8d1b-d248fd54123e",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-07-29T14:48:31.5185107+00:00",
"modified_dateutc": "2026-07-29T14:48:31.5185107+00:00",
"user_id": "ea3df4a7-06e5-4528-b820-efa14c65244b",
"show_on_web": true,
"db_report_id": "74e9eb8c-aa05-403d-af09-9d77555a2ce5"
}